---
title: Change Log
---


# Change Log

<div class="documentation__toc"></div>

## Introduction

All notable changes to this project will be documented in this file.

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.

### Versioning

This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### Deprecated Features

Features that are deprecated will generally be removed in the next `minor` update unless noted otherwise.

## Releases


### [1.6.184] - 2020-01-02
#### Fixed
- Fixed issue with deep attributes and custom validation not working properly.


### [1.6.183] - 2019-12-09
#### Changed
- Added the rest of the `excluded` paths from `CacheKernel` to the `HttpCache` middleware. 


### [1.6.182] - 2019-11-18
#### Fixed
- Cherry picked `withCookie` middleware issue from `1.7`.


### [1.6.181] - 2019-11-14
#### Fixed
- Fixed issue with remote assets and non-root hosting locations.

#### Added
- Added `findWithTrashed($id)` shortcut method to base repositories.


### [1.6.180] - 2019-11-06
#### Changed
- Escaped the URL in `constants.twig` partial.


### [1.6.179] - 2019-10-28
#### Added
- Added IDs to default field type attributes. 


### [1.6.178] - 2019-10-22
#### Fixed
- Fix custom error message field prefixes: https://github.com/anomalylabs/streams-platform/pull/673


### [1.6.177] - 2019-09-12
#### Fixed
- Added `Anomaly\Streams\Platform\Ui\Table\Component\Action\ActionRegistry` to singletons. 


### [1.6.176] - 2019-09-11
#### Fixed
- Fixed issue with button guesser leaving route objects in buttons and thus breaking views.  


### [1.6.175] - 2019-09-10
#### Fixed
- Fixed issue with validation extender not passing along unique field types per extending validation rule.  


### [1.6.174] - 2019-09-06
#### Fixed
- Fix ambiguous sort_order column bug
- Improved German translation. 


### [1.6.173] - 2019-08-18
#### Fixed
- Fixed issue where users would be getting logged out after viewing pages cached by HTTPCACHE.

#### Changed
- Moved cookie middleware in `Kernel` to after session start just like Laravel.

#### Added
- Added `session_proxy` boolean flag to mark logged in users to pre-boot services like HTTPCACHE.


### [1.6.172] - 2019-08-14
#### Fixed
- Fixed issue in `\Anomaly\Streams\Platform\Ui\Form\Command\PopulateFields` where `$request->old()` was not available during CLI indexing.


### [1.6.171] - 2019-08-06
#### Added
- Added support for `route` parameter in buttons across UI builders.


### [1.6.170] - 2019-07-31
#### Fixed
- Fixed issue when installing via GUI where models would not fully autoload for proceeding seeders. 


### [1.6.169] - 2019-07-30
#### Fixed
- Fixed issue where `\Anomaly\Streams\Platform\Support\Value` was returning views when should be string.  
- Fixed issue where `\Anomaly\Streams\Platform\Traits\Hookable` was not allowing method defined hook handlers.
- Fixed issue where `overrides` were not working for Twig `include` use cases. 
  
#### Added
- Added `shared` hint to asset path hints. Similar to the view hint.
- Added `$addon` to the `registered` addon callback available arguments.


### [1.6.168] - 2019-07-30
#### Fixed
- Fixed issue where `streams.schedules` config key was wrong and configured schedules not working. 

#### Added
- Documentation on mail.


### [1.6.167] - 2019-07-30
#### Fixed
- Fixed issue with `\Anomaly\Streams\Platform\Model\EloquentQueryBuilder::translate` where fallback locale was missing.

#### Added
- Documentation on front end pagination.
- Documentation around publishing addons.


### [1.6.166] - 2019-07-26
#### Fixed
- Fixed issue with `\Anomaly\Streams\Platform\Support\Value` where parsing was returning view object instead of string.


### [1.6.165] - 2019-07-22
#### Added
- Added `queue:restart` to the `refresh` command.
- Added `httpcache:clear` to the `refresh` command.


### [1.6.164] - 2019-07-19
#### Added
- Added the `build` Artisan command.
- Added the `refresh` Artisan command.


### [1.6.163] - 2019-07-16
#### Removed
- Removed duplicate `table` plugin function from `\Anomaly\Streams\Platform\StreamsPlugin`.

#### Fixed
- Issue with `trans_exists` which is actually `trans_has` in `\Anomaly\Streams\Platform\StreamsPlugin`.


### [1.6.162] - 2019-07-12
#### Fixed
- Fixed `\Anomaly\Streams\Platform\Entry\EntryTranslationsModel` where parent was causing issues in saving versions.


### [1.6.161] - 2019-07-11
#### Fixed
- Fixed `\Anomaly\Streams\Platform\Version\Table\VersionTableButtons` to not disable last version (which is not current).
- Fixed `\Anomaly\Streams\Platform\Version\Table\VersionTableColumns` to not call the version the current version. Because it's not.


### [1.6.160] - 2019-07-09
#### Fixed
- Fixed `\Anomaly\Streams\Platform\Entry\Command\PurgeHttpCache` where `HttpCache` was under some circumstances, not instantiable. 


### [1.6.159] - 2019-07-05
#### Added
- Added `join` support for quickly joining tables for relational field types providing a `getRelation` method. 


### [1.6.158] - 2019-06-20
#### Added
- Added `streams::system.versioning_enabled` config and `VERSIONING_ENABLED` `.env` variable for disabling versioning system. 


### [1.6.157] - 2019-06-20
#### Fixed
- Fixed issue in `\Anomaly\Streams\Platform\Ui\Form\Command\SetFormEntry` where it was not accounting for possible decoration having occurred. 


### [1.6.156] - 2019-06-20
#### Fixed
- Fixed `versioning` predicament where self-handling fields were firing after versioning was processed.
- Fixed timezone issue in versions table builders.


### [1.6.155] - 2019-06-18
#### Fixed
- Fixed issue in `\Anomaly\Streams\Platform\Model\EloquentFormRepository` where translatable information was on the base level of the update data causing translatable content to not always be saved correctly. 


### [1.6.154] - 2019-06-14
#### Added
- Added `translatable` label to `\Anomaly\Streams\Platform\Stream\StreamPresenter::labels`.

#### Fixed
- Fixed `\Anomaly\Streams\Platform\Model\EloquentObserver::deleting` to return `true` if not returning `false`.
- Fixed `\Anomaly\Streams\Platform\Version\Command\SaveVersion` to store deeper relations. This opens support for type pattern entry model block content. Pages and posts with block content for example.
- Fixed `\Anomaly\Streams\Platform\Model\EloquentModel::toArrayForComparison` to store more accurate delta data.


### [1.6.153] - 2019-06-12
#### Fixed
- Fixed default config value for `\Anomaly\Streams\Platform\Stream\StreamModel`.
- Fixed versioning issue where versioned data was not distributing across multiple form builders properly.
- Fixed versioning issue where versioned model was causing non-dirty changes if saved as is (not comparing to current version).
- Fixed erroneous `$options` value in save functions in `\Anomaly\Streams\Platform\Model\EloquentModel` to mirror Laravel.


### [1.6.152] - 2019-06-10
#### Added
- Added `getStreamId` to `\Anomaly\Streams\Platform\Entry\Contract\EntryInterface`.


### [1.6.151] - 2019-06-10
#### Added
- Added `getStreamId` to `\Anomaly\Streams\Platform\Entry\Contract\EntryInterface`.


### [1.6.150] - 2019-06-07
#### Fixed
- Fixed issue in `\Anomaly\Streams\Platform\StreamsPlugin` where non-existant `->template` was being referenced in call.


### [1.6.149] - 2019-06-06
#### Fixed
- Fixed double session issue in `\Anomaly\Streams\Platform\Http\Kernel` which caused random log-outs and double session records.


### [1.6.148] - 2019-05-31
#### Added
- Added `lang` attribute to `html` in layout stubs for themes.


### [1.6.147] - 2019-05-30
#### Fixed
- Fixed issue where `alt_text` and `title` defaults for images were forcing `null` and not falling back to auto.


### [1.6.146] - 2019-05-16
#### Fixed
- Fixed issue where `default_value` for `preferences.php` was stepping on settings already present.


### [1.6.145] - 2019-05-15
#### Fixed
- Fixed issue with `TableBuilders` where `load` method had aggressive POST request logic in it that was not it's responsibility. Moved if POST request logic to it's relevant method `make` instead.


### [1.6.144] - 2019-05-14
#### Fixed
- Fixed issue with `\Anomaly\Streams\Platform\Model\EloquentQueryBuilder` which duplicated translated items around default ordering where the title column was translated.


### [1.6.143] - 2019-05-13
#### Fixed
- Fixed issue with `\Anomaly\Streams\Platform\User\Contract\UserInterface` which was not compatible with prior functionality. Added ability to define role by string (slug) according to interface.


### [1.6.142] - 2019-05-13
#### Fixed
- Fixed best practice stuff for rendering in `metadata.twig` stub.


### [1.6.141] - 2019-05-11
#### Fixed
- Fixed fatal error in image `macros`.


### [1.6.140] - 2019-05-10
#### Added
- Added the `meta` include `slot` to the `metadata.twig` stub.

#### Changed
- Changed order of `constants` to top of `metadata.twig` stub to be at top.


### [1.6.139] - 2019-05-01
#### Fixed
- Fixed issue with `\Anomaly\Streams\Platform\Ui\Form\Component\Field\FieldPopulator` not defaulting values properly due to a duplication feature change. Basically a revert.


### [1.6.138] - 2019-04-26
#### Changed
- Added `hasRole`, `hasAnyRole`, and `isAdmin` to `\Anomaly\Streams\Platform\User\Contract\UserInterface`

#### Fixed
- Fixed issue where valid methods in the form criteria were not passing through.


### [1.6.137] - 2019-04-19
#### Fixed
- Fixed issue with overly aggressive route naming. Removed `edit` and `create` methods in `EntryRouter`.


### [1.6.136] - 2019-04-18
#### Fixed
- Fixed issues with Faker not being present during CLI by requiring it.


### [1.6.135] - 2019-04-12
#### Changed
- Allowed form `FieldPopulator` to use entry even if no ID is present. This fixes an issue where forms are not populated when entry is set an a cloned object (no ID - but attribute values).


### [1.6.134] - 2019-04-10
#### Changed
- Changed how Factories are loaded. Now included in CLI not just testing environments.

#### Added
- Various documentation.

#### Fixed
- Fixed `css` theme scaffolding. No need for initial `npm install` now.

### [1.6.133] - 2019-04-08
#### Added
- Added the [shortcuts](../ui/control-panel/components/shortcuts) component to the `ControlPanelBuilder`.
- - Added `Anomaly\Streams\Platform\User\Contract\UserInterface` to help decouple the platform from the Users module.

#### Changed
- Revised entire documentation.
- Update and improvement of Polish translation from [@m-aciek](https://github.com/m-aciek).

#### Removed
- Removed the `twig:clean` CLI command.
- Removed the `image()` and `image_*()` Twig functions. Use `img()` instead.
- Removed the `allowed()` method in form field collections. Use `autoHandling()` and other methods separately instead.
- Removed `isTranslationAttribute($key)` from the `Translatable` trait. Use `isTranslatedAttribute($key)` instead.
- Removed `getCollectionPath($collection)` from the `Asset` class. Use `path($collection)` instead.
- Removed `pluck($values)` from the `Asset` class. Use `path($collection)` instead.
- Removed `editUrl()` from entry presenters. Use `$entry->route('edit')` instead.
- Removed `viewUrl()` from entry presenters. Use `$entry->route('view')` instead.
- Removed `editLink` from entry presenters.
- Removed `viewLink` from entry presenters.
