---
title: Upgrade Guide
---

# Upgrade Guide

<div class="documentation__toc"></div>

## Upgrading from 1.5 to 1.6

**Estimated Upgrade Time: 1 - 2 Minutes**

> We attempt to document every possible breaking change. Since some of these breaking changes are in obscure parts of the framework only a portion of these changes may actually affect your application.{.notice}

### Update Configuration

Update your configuration according to the following source files:

- [https://github.com/pyrocms/pyrocms/blob/3.7/config/logger.php](https://github.com/pyrocms/pyrocms/blob/3.7/config/logger.php)
- [https://github.com/pyrocms/pyrocms/blob/3.7/config/debugbar.php](https://github.com/pyrocms/pyrocms/blob/3.7/config/debugbar.php)
- [https://github.com/pyrocms/pyrocms/blob/3.7/config/httpcache.php](https://github.com/pyrocms/pyrocms/blob/3.7/config/httpcache.php)

### Disable Package Discovery for Laravel

Disable package discovery by appending your `composer.json` file: https://github.com/pyrocms/pyrocms/blob/3.7/composer.json#L127-L131

### Run Migrations

Migrate the core as well as all installed addons:

```bash
php artisan migrate --path=vendor/anomaly/streams-platform/migrations/application
php artisan migrate --all-addons
```

### Clean Up

It's a good idea to freshen up the entire system's caching and performance utilities:

```bash
php artisan refresh
```

### Define Automatic Overrides

PyroCMS will no longer look through all addons for overridden views. You must define them in your theme or other addon using the `$overrides` property or by using the `ViewOverrides` collection directly.

[Overriding Views](/documentation/streams-platform/latest/the-basics/views#overriding-views){.link}
